# norootforbuild

%define _name			gst-plugins-base
%define gst_branch		0.10
%define gstreamer010_plugins_base_req %(zgrep --text "^GST.*_REQ" %{S:0} | sort -u | sed 's/GST_REQ=/gstreamer-0_10 >= /')

Name:			gstreamer-0_10-plugins-base
License:		GPLv2+ ; LGPLv2.1+
Group:			System/GUI/GNOME
Version:		0.10.29
Release:		1000.2
Source:			http://gstreamer.freedesktop.org/src/gst-plugins-base/%{_name}-%{version}.tar.bz2
Source90:		gstreamer010-plugins-base-rpmlintrc
Patch0:			gst-plugins-base-makefile.patch
URL:			http://gstreamer.freedesktop.org/
BuildRoot:		%{_tmppath}/%{name}-%{version}-build
Summary:		GStreamer Streaming-Media Framework Plug-Ins
Obsoletes:		gstreamer-plugin-libs
Enhances:		gstreamer-0_10
PreReq:			filesystem
BuildRequires:	alsa-devel
BuildRequires:	audiofile-devel
# cdparanoia 3.10.2 is the first version with paranoia_cachemodel_size()
BuildRequires:  cdparanoia-devel >= 3.10.2
Requires:       %(rpm -qf %{_libdir}/libcdda_paranoia.so.[0-9] --qf '%{NAME}') >= 3.10.2
BuildRequires:	check-devel
BuildRequires:	gamin-devel
BuildRequires:	fdupes
BuildRequires:	glib2-devel >= 2.18
%if %suse_version > 1110
BuildRequires:	gobject-introspection-devel
%endif
BuildRequires:	gnome-vfs2-devel
BuildRequires:	gstreamer-0_10-devel
BuildRequires:	gtk2-devel
BuildRequires:	gtkdoc >= 1.3
BuildRequires:	iso-codes-devel
BuildRequires:	krb5
BuildRequires:	libgio-2_0-0
%if %suse_version > 1110
BuildRequires:  libgudev-1_0-devel
%endif
BuildRequires:	liboil-devel
BuildRequires:	libtheora-devel
BuildRequires:	libvisual-devel
BuildRequires:	libvorbis-devel
BuildRequires:	mDNSResponder-lib
BuildRequires:	python-devel
BuildRequires:	pyxml
BuildRequires:	sgml-skel
#BuildRequires:	translation-update-upstream
BuildRequires:	update-desktop-files
%ifarch %ix86 ppc x86_64
BuildRequires:	valgrind
%endif
Requires:		%{name}-lang = %{version}
# Core modules may depend on new enough libraries:
Requires:		libgstinterfaces-0_10-0 >= %{version}
Requires:		%{name}-lang = %{version}
#Requires:		%gstreamer010_plugins_base_req
Requires:		gstreamer-0_10 >= 0.10.29
Requires:		iso-codes
# Name up to 10.3:
Provides:		gstreamer010-plugins-base = %{version}
Obsoletes:		gstreamer010-plugins-base < %{version}
# Names of formerly splitted subpackages
Provides:		gstreamer010-plugins-base-oil = %{version}-%{release}
Provides:		gstreamer010-plugins-base-visual = %{version}-%{release}
Obsoletes:		gstreamer010-plugins-base-oil < %{version}-%{release}
Obsoletes:		gstreamer010-plugins-base-visual < %{version}-%{release}

%description
GStreamer is a streaming media framework, based on graphs of filters
which operate on media data. Applications using this library can do
anything from real-time sound processing to playing videos, and just
about anything else media-related.  Its plugin-based architecture means
that new data types or processing capabilities can be added simply by
installing new plug-ins.

%package devel
Summary:	GStreamer Streaming-Media Framework Plug-Ins
Group:		Development/Libraries/GNOME
Requires:	%{name} = %{version}
Requires:	gstreamer-0_10-devel
Requires:	alsa-devel
Requires:	audiofile-devel
Requires:	check-devel
Requires:	gamin-devel
Requires:	gnome-vfs2-devel
Requires:	glib2-devel >= 2.18
%if %suse_version > 1110
Requires:	gobject-introspection-devel
%endif
Requires:	gtk2-devel
Requires:	iso-codes-devel
Requires:	libgstapp-0_10-0 = %{version}
Requires:	libgstinterfaces-0_10-0 = %{version}
Requires:	libgio-2_0-0
%if %suse_version > 1110
Requires:	libgudev-1_0-devel
%endif
Requires:	liboil-devel >= 0.3.6
Requires:	libtheora-devel
Requires:	libvisual-devel
Requires:	libvorbis-devel
Requires:	mDNSResponder-lib
Requires:	python-devel
Requires:	pyxml
Requires:	sgml-skel
%ifarch %ix86 ppc x86_64
Requires:	valgrind
%endif
# Name up to 10.3:
Provides:	gstreamer010-plugins-base-devel = %{version}
Obsoletes:	gstreamer010-plugins-base-devel < %{version}
Provides:	gstreamer010-plugins-bad-devel = 0.10.8
Obsoletes:	gstreamer010-plugins-bad-devel < 0.10.8
Provides:	gstreamer-0_10-plugins-bad-devel = 0.10.8
Obsoletes:	gstreamer-0_10-plugins-bad-devel < 0.10.8

%description devel
GStreamer is a streaming media framework, based on graphs of filters
which operate on media data. Applications using this library can do
anything from real-time sound processing to playing videos, and just
about anything else media-related.  Its plugin-based architecture means
that new data types or processing capabilities can be added simply by
installing new plug-ins.

%package doc
Summary:	GStreamer Streaming-Media Framework Plug-Ins
Group:		Documentation/Other
Requires:	%{name} = %{version}
# Name up to 10.3:
Provides:	gstreamer010-plugins-base-doc = %{version}
Obsoletes:	gstreamer010-plugins-base-doc < %{version}

%description doc
GStreamer is a streaming media framework, based on graphs of filters
which operate on media data. Applications using this library can do
anything from real-time sound processing to playing videos, and just
about anything else media-related.  Its plugin-based architecture means
that new data types or processing capabilities can be added simply by
installing new plug-ins.

%package -n libgstinterfaces-0_10-0
Summary:	GStreamer Streaming-Media Framework Plug-Ins
Group:		System/Libraries
# We want to have base modules installed:
Requires:	%{name}
# Name of previous branch
Obsoletes:	gstreamer-plugin-libs < 0.10

%description -n libgstinterfaces-0_10-0
GStreamer is a streaming media framework based on graphs of filters
that operate on media data. Applications using this library can do
anything media-related, from real-time sound processing to playing
videos. Its plug-in-based architecture means that new data types or
processing capabilities can be added simply by installing newplug-ins.

%package -n libgstapp-0_10-0
Summary:	GStreamer Streaming-Media Framework Plug-Ins
Group:		System/Libraries
# We want to have base modules installed:
Requires:	%{name}

%description -n libgstapp-0_10-0
GStreamer is a streaming media framework based on graphs of filters
that operate on media data. Applications using this library can do
anything media-related, from real-time sound processing to playing
videos. Its plug-in-based architecture means that new data types or
processing capabilities can be added simply by installing newplug-ins.

%lang_package


%prep
%setup -q -n %{_name}-%{version}
%patch0
#translation-update-upstream po gst-plugins-base-0.10

NOCONFIGURE=1 ./autogen.sh

%build
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"

%configure \
	--with-package-name='Packman gstreamer-plugins-base package' \
	--with-package-origin='http://packman.links2linux.de/' \
	--disable-static \
	--enable-cdparanoia \
	--enable-gtk-doc \
	--enable-dependency-tracking \
	--enable-gio \
%if %suse_version > 1110
	--enable-introspection \
%endif
	--enable-experimental

# NOTE: without -i the build breaks in scanning some plugins
%__make -i %{?jobs:-j%{jobs}}

%install
%makeinstall

%__rm %{buildroot}%{_libdir}/gstreamer-%{gst_branch}/*.*a
%__rm %{buildroot}%{_libdir}/*.la

%find_lang %{_name}-%{gst_branch}
%fdupes -s %{buildroot}%{_datadir}/gtk-doc

%clean
[ -d "%{buildroot}" -a "%{buildroot}" != "" ] && %__rm -rf "%{buildroot}"

%post -n libgstinterfaces-0_10-0 -p /sbin/ldconfig

%postun -n libgstinterfaces-0_10-0 -p /sbin/ldconfig

%post -n libgstapp-0_10-0 -p /sbin/ldconfig

%postun -n libgstapp-0_10-0 -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING COPYING.LIB NEWS README RELEASE REQUIREMENTS
%doc %{_mandir}/man1/*.*
%{_bindir}/gst-visualise-%{gst_branch}
%dir %{_libdir}/gstreamer-%{gst_branch}
%{_libdir}/gstreamer-%{gst_branch}/libgstadder.so
%{_libdir}/gstreamer-%{gst_branch}/libgstalsa.so
%{_libdir}/gstreamer-%{gst_branch}/libgstapp.so
%{_libdir}/gstreamer-%{gst_branch}/libgstaudioconvert.so
%{_libdir}/gstreamer-%{gst_branch}/libgstaudiorate.so
%{_libdir}/gstreamer-%{gst_branch}/libgstaudioresample.so
%{_libdir}/gstreamer-%{gst_branch}/libgstaudiotestsrc.so
%{_libdir}/gstreamer-%{gst_branch}/libgstcdparanoia.so
%{_libdir}/gstreamer-%{gst_branch}/libgstdecodebin.so
%{_libdir}/gstreamer-%{gst_branch}/libgstdecodebin2.so
%{_libdir}/gstreamer-%{gst_branch}/libgstffmpegcolorspace.so
%{_libdir}/gstreamer-%{gst_branch}/libgstgdp.so
%{_libdir}/gstreamer-%{gst_branch}/libgstgio.so
%{_libdir}/gstreamer-%{gst_branch}/libgstgnomevfs.so
%{_libdir}/gstreamer-%{gst_branch}/libgstogg.so
%{_libdir}/gstreamer-%{gst_branch}/libgstpango.so
%{_libdir}/gstreamer-%{gst_branch}/libgstplaybin.so
%{_libdir}/gstreamer-%{gst_branch}/libgstsubparse.so
%{_libdir}/gstreamer-%{gst_branch}/libgsttcp.so
%{_libdir}/gstreamer-%{gst_branch}/libgsttheora.so
%{_libdir}/gstreamer-%{gst_branch}/libgsttypefindfunctions.so
%{_libdir}/gstreamer-%{gst_branch}/libgstvideo4linux.so
%{_libdir}/gstreamer-%{gst_branch}/libgstvideorate.so
%{_libdir}/gstreamer-%{gst_branch}/libgstvideoscale.so
%{_libdir}/gstreamer-%{gst_branch}/libgstvideotestsrc.so
%{_libdir}/gstreamer-%{gst_branch}/libgstlibvisual.so
%{_libdir}/gstreamer-%{gst_branch}/libgstvolume.so
%{_libdir}/gstreamer-%{gst_branch}/libgstvorbis.so
%{_libdir}/gstreamer-%{gst_branch}/libgstximagesink.so
%{_libdir}/gstreamer-%{gst_branch}/libgstxvimagesink.so

%files devel
%defattr(-, root, root)
%dir %{_includedir}/gstreamer-%{gst_branch}
%{_includedir}/gstreamer-%{gst_branch}/*
%{_libdir}/lib*.so
%{_prefix}/%{_lib}/pkgconfig/*.pc

%files doc
%defattr(-, root, root)
%{_prefix}/share/gtk-doc/html/gst-plugins-base-libs-%{gst_branch}
%{_prefix}/share/gtk-doc/html/gst-plugins-base-plugins-%{gst_branch}

%files lang -f %{_name}-%{gst_branch}.lang

%files -n libgstinterfaces-0_10-0
%defattr(-, root, root)
%exclude %{_libdir}/libgstapp*.so.*
%{_libdir}/*.so.*
%if %suse_version > 1110
%exclude %{_libdir}/girepository-1.0/GstApp-*.typelib
%exclude %{_datadir}/gir-1.0/GstApp-*.gir
%{_libdir}/girepository-1.0/*.typelib
%{_datadir}/gir-1.0/*.gir
%endif

%files -n libgstapp-0_10-0
%defattr(-, root, root)
%{_libdir}/libgstapp*.so.*
%if %suse_version > 1110
%{_libdir}/girepository-1.0/GstApp-*.typelib
%{_datadir}/gir-1.0/GstApp-*.gir
%endif

%changelog
* Sat Mar  5 2011 Cristian Morales <reddwarf@opensuse.org>
- Explicitly require cdparanoia >= 3.10.2
* Tue Mar 09 2010 Toni Graffy <toni@links2linux.de> - 0.10.28-999.pm.1
- update to 0.10.28 "Those Norwegians"
    * Ogg/Dirac fixes
    * build: really dist qtgv-xoverlay.h header file needed by overlay examples this time
    * rtspconnection: fix handling of x-server-ip-address
    * alsasrc fixes

* Mon Mar 08 2010 Toni Graffy <toni@links2linux.de> - 0.10.27-999.pm.1
- update to 0.10.27 "No Mistakes Allowed"
    * playbin2,decodebin2: lots of fixes for missing plugin installation
    * playbin2, playsink, subtitleoverlay: Set subtitle encoding properly
    * videorate: Improve upstream negotiation
    * oggdemux: use the chain begin_time instead of our counter
    * oggdemux: mark skeleton streams correctly
    * oggdemux: theora PAR of 0:N, N:0 or 0:0 is allowed and maps to 1:1
    * typefinding: detect stm module format
    * ffmpegcolorspace: add conversions from all ARGB formats to AYUV and back
    * theoradec: Fix chroma copying for 4:2:2
    * tcpclientsrc,tcpserversrc: Fix handling of closed sockets
    * examples,build: dist header file for the Qt graphics view example
    * playsink: Reset the sink's state to NULL before unreffing it unless it's the same instance again
    * rtspconnection: make sure not to dereference NULL username or password
    * appsrc: Update segment duration and post a duration message if the duration changes
    * vorbisdec: also support ivorbis tremor decoder
    * rtsp: fail gracefully on bad Content-Length headers
    * rtsp: ignore \n and \r as the first line

* Tue Feb 23 2010 Toni Graffy <toni@links2linux.de> - 0.10.26-999.pm.2
- added --enable-introspection for openSuSE >= 1120
* Thu Feb 11 2010 Toni Graffy <toni@links2linux.de> - 0.10.26-999.pm.1
- update to 0.10.26 "You will know when you get there"
  * playbin2: make about-to-finish signal work for raw sources
  * playbin2: fix handling of the native audio/video flags
  * playbin2: add flag to enable decodebin buffering
  * playbin2: make subtitle error handling more robust and ignore late errors
  * playbin2: improve subtitle passthrough in uridecodebin
  * playbin2: new subtitleoverlay element for generic subtitle overlaying
  * playbin2: proxy notify::volume and notify::mute from the volume/mute elements (or audio sink)
  * playbin2: don't stop completely on initialization errors from subtitle elements;
    instead disable the subtitles and play the other parts of the stream
  * decodebin2: rewrite autoplugging and how groups of pads are exposed
  * uridecodebin: add use-buffering property that will perform buffering on parsed or demuxed media.
  * GstXOverlay: flesh out docs and add example for use with Gtk+ >= 2.18
  * libgsttag: add utility functions for ISO-639 language codes and tags
  * oggdemux: use internal granulepos<->timestamp mapper and make oggdemux more like
    a 'normal' demuxer that outputs timestamps
  * oggdemux: seeking improvements
  * subparse: add qttext support
  * ffmpegcolorspace: prefer transforming alpha formats to alpha formats and the other way around
  * libgstvideo: add functions to create/parse still frame events.
  * theoraenc: make the default quality property 48.
  * videotestsrc: add pattern with out-of-gamut colors
  * theora: port to 'new' theora 1.0 API; make misc. existing properties have no effect
  * typefinding: misc. performance improvements and fixes
  * baseaudiosink: make drift tolerance configurable

* Sat Nov 14 2009 Toni Graffy <toni@links2linux.de> - 0.10.25-999.pm.2
- moved libgstapp*.so to own package
* Sat Oct 24 2009 Toni Graffy <toni@links2linux.de> - 0.10.25-999.pm.1
- update to 0.10.25 "Standard disclaimers apply" 
 * Add per-stream volume controls
 * Theora 1.0 and Y444 and Y42B format support
 * Improve audio capture timing
 * GObject introspection support
 * Improve audio output startup
 * RTSP improvements
 * Use pango-cairo instead of pangoft2
 * Allow cdda://(device#)?track URI scheme in cddabasesrc
 * Support interlaced content in videoscale and ffmpegcolorspacee
 * Many other bug fixes and improvements
* Fri Oct 02 2009 Pascal Bleser <pascal.bleser@opensuse.org> 0.10.24-999.pm.1
- update to 0.10.24
* Mon May 11 2009 Toni Graffy <toni@links2linux.de> - 0.10.23-42.pm.1
- update to 0.10.23
  * New navigation API to support DVD playback
  * playbin2 improvements
  * RTSP extensions to allow extra headers and options
  * Replace audioresampler with speexresample based code
  * Support interlacing flags in the gstvideo library
  * Support new RIFF formats
  * Improve typefinding
  * Support more frame formats in videoscale
* Fri Jan 23 2009 Toni Graffy <toni@links2linux.de> - 0.10.22-42.pm.2
- changed Obsoletes from "<" to "<="
* Wed Jan 21 2009 Toni Graffy <toni@links2linux.de> - 0.10.22-42.pm.1
- update to 0.10.22
  - Require gettext 0.17
  - Replace audioresample with speexresample from -bad
  - Support new formats in RIFF: uncompressed RGB, WMA lossless, VP6
  - Move libgstapp and elements from -bad
  - Support color-key setting and probing for Xv properties
  - Improve typefinding for various formats
  - Extend audio sinks for pull-mode operation
  - Support for more subtitle formats
  - More development on decode2bin and playbin2
  - RTP and SDP fixes
  - Many bug fixes and improvements
* Wed Jan 07 2009 Toni Graffy <toni@links2linux.de> - 0.10.21-42.pm.2
- enabled-experimental to build libgio.so plugin
* Fri Oct 03 2008 Toni Graffy <toni@links2linux.de> - 0.10.21-42.pm.1
- update to 0.10.21
- removed all %%ifdef for openSuSE <= 1020
* Wed Jun 19 2008 Toni Graffy <toni@links2linux.de> - 0.10.20-42.pm.1
- update to 0.10.20
* Fri May 02 2008 Toni Graffy <toni@links2linux.de> - 0.10.19-42.pm.2
- using "<=" instead of "<" in Obsoletes-tag
* Fri Apr 25 2008 Toni Graffy <toni@links2linux.de> - 0.10.19-42.pm.1
- changed package layout similar to openSuSE-11.0
* Sat Apr 05 2008 Toni Graffy <toni@links2linux.de> - 0.10.19-0.pm.1
- update to 0.10.19
* Sun Mar 23 2008 Toni Graffy <toni@links2linux.de> - 0.10.18-0.pm.1
- update to 0.10.18
* Wed Jan 30 2008 Toni Graffy <toni@links2linux.de> - 0.10.17-0.pm.1
- update to 0.10.17
* Tue Jan 29 2008 Toni Graffy <toni@links2linux.de> - 0.10.16-0.pm.1
- update to 0.10.16
* Tue Nov 20 2007 Toni Graffy <toni@links2linux.de> - 0.10.15-0.pm.1
- update to 0.10.15
- reactivated libvisual-plugin as packman-repo has libvisual04
* Fri Sep 07 2007 Toni Graffy <toni@links2linux.de> - 0.10.14-0.pm.2
- openSUSE-10.3 build: _prefix=/usr
* Fri Aug 03 2007 Toni Graffy <toni@links2linux.de> - 0.10.14-0.pm.1
- update to 0.10.14
* Tue Jun 05 2007 Toni Graffy <toni@links2linux.de> - 0.10.13-0.pm.1
- update to 0.10.13
- new plugins: libgsturidecodebin.so, libgstqueue2.so
* Thu Mar 08 2007 Toni Graffy <toni@links2linux.de> - 0.10.12-0.pm.1
- update to 0.10.12
* Fri Dec 08 2006 Toni Graffy <toni@links2linux.de> - 0.10.11-0.pm.1
- update to 0.10.11
* Fri Nov 24 2006 Toni Graffy <toni@links2linux.de> - 0.10.10-0.pm.1
- build for packman
- Updated to version 0.10.10
- spec-file based on SuSE-spec Fri Jun 16 2006 - sbrabec@suse.cz
